Loading...
Searching...
No Matches
FilteringContext Struct Reference

## Data Fields

AVFilterContext * | buffersink_ctx
AVFilterContext * | buffersrc_ctx
AVFilterGraph * | filter_graph
AVPacket * | enc_pkt
AVFrame * | filtered_frame

## Detailed Description

Examples
  transcode.c.

Definition at line 44 of file transcode.c.

## Field Documentation

## buffersink_ctx

AVFilterContext* FilteringContext::buffersink_ctx

Examples
  transcode.c.

Definition at line 45 of file transcode.c.

Referenced by filter_encode_write_frame(), and init_filter().

## buffersrc_ctx

AVFilterContext* FilteringContext::buffersrc_ctx

Examples
  transcode.c.

Definition at line 46 of file transcode.c.

Referenced by filter_encode_write_frame(), and init_filter().

## filter_graph

AVFilterGraph* FilteringContext::filter_graph

Examples
  transcode.c.

Definition at line 47 of file transcode.c.

Referenced by init_filter().

## enc_pkt

AVPacket* FilteringContext::enc_pkt

Examples
  transcode.c.

Definition at line 49 of file transcode.c.

Referenced by encode_write_frame().

## filtered_frame

AVFrame* FilteringContext::filtered_frame

Examples
  transcode.c.

Definition at line 50 of file transcode.c.

Referenced by encode_write_frame(), and filter_encode_write_frame().

The documentation for this struct was generated from the following file:

- doc/examples/transcode.c